### Method

# Gio DBusMessage get_header

since: 2.26

#### Declaration [src]

    GVariant*
    g_dbus_message_get_header (
      GDBusMessage* message,
      GDBusMessageHeaderField header_field
    )

#### Description [src]

Gets a header field on `message`.

The caller is responsible for checking the type of the returned `GVariant` matches what is expected.

Available since: 2.26

#### Parameters

`header_field`

  Type: `GDBusMessageHeaderField`

  A 8-bit unsigned integer (typically a value from the `GDBusMessageHeaderField` enumeration).

#### Return value

Type: `GVariant`

A `GVariant` with the value if the header was found, `NULL` otherwise. Do not free, it is owned by `message`.

The returned data is owned by the instance.
The return value can be `NULL`.